## org.apache.lucene.benchmark.byTask.feeds
Class SortableSimpleDocMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
          org.apache.lucene.benchmark.byTask.feeds.SimpleDocMaker
              org.apache.lucene.benchmark.byTask.feeds.SortableSimpleDocMaker

All Implemented Interfaces:
  DocMaker

    public class SortableSimpleDocMaker

extends SimpleDocMaker

Adds fields appropriate for sorting.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`BODY_FIELD, BYTES_FIELD, config, DATE_FIELD, forever, ID_FIELD, indexVal, NAME_FIELD, storeVal, termVecVal, TITLE_FIELD`

Constructor Summary
`SortableSimpleDocMaker()`

Method Summary
`protected DocData` `getNextDocData()` Return the data of the next document.
`void` `setConfig(Config config)` Set the properties

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.SimpleDocMaker
`numUniqueTexts, resetInputs`

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.BasicDocMaker
`addBytes, addUniqueBytes, collectFiles, getByteCount, getCount, getHtmlParser, makeDocument, makeDocument, numUniqueBytes, printDocStatistics, resetUniqueBytes, setHTMLParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortableSimpleDocMaker

    public SortableSimpleDocMaker()

Method Detail

### getNextDocData

    protected DocData getNextDocData()
                              throws NoMoreDataException

  Description copied from class: `BasicDocMaker`
  Return the data of the next document. All current implementations can create docs forever. When the input data is exhausted, input files are iterated. This re-iteration can be avoided by setting doc.maker.forever to false (default is true).

  Overrides:
    `getNextDocData` in class `SimpleDocMaker`
  Returns:
    data of the next document.
  Throws:
    `NoMoreDataException` - if data is exhausted (and 'forever' set to false).

### setConfig

    public void setConfig(Config config)

  Description copied from interface: `DocMaker`
  Set the properties

  Specified by:
    `setConfig` in interface `DocMaker`
  Overrides:
    `setConfig` in class `BasicDocMaker`

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.